---
title: Docs
layout: default
home: ../
---


# Welcome

OAuth for Spring Security provides an [OAuth](http://oauth.net)
implementation for
[Spring Security](http://static.springsource.org/spring-security/site/).
Support is provided for the implementation of OAuth providers and
OAuth consumers. There is support for [Oauth 1(a)](oauth1.html) (including
[two-legged OAuth](twolegged.html), a.k.a. "Signed Fetch") and for
[OAuth 2.0]oauth2.md).

Applying security to an application is not for the faint of heart, and OAuth is no exception. Before you get started,
you're going to want to make sure you understand OAuth and the problem it's designed to address. There is good
documentation at [the OAuth site](http://oauth.net). You will also want to make sure you understand how 
[Spring](http://springframework.org/) and [Spring Security](http://static.springsource.org/spring-security/site/) work.

You're going to want to be quite familiar with both [OAuth](http://oauth.net) (and/or [OAuth2](http://tools.ietf.org/html/draft-ietf-oauth-v2))
and [Spring Security](http://static.springsource.org/spring-security/site/), to maximize the effectiveness of this developers guide. OAuth for
Spring Security is tightly tied to both technologies, so the more familiar you are with them, the more likely you'll be to recognize the terminology
and patterns that are used.

With that, you're ready to get started.  Here are some useful links:

* For access to the binaries, use Maven ([instructions here](downloads.html))

* Source code is in github
  [at SpringSource/spring-security-oauth](https://github.com/SpringSource/spring-security-oauth).

* You'll want to see OAuth for Spring Security in action, so here is a
[tutorial](tutorial.html)

* Read a more detailed explanation in the [developer's guide](devguide.html).

* For more help and support, checkout the [support links](support.html).

